# Slice-resourse-orchestrator inform the slice database about the slice-parts
# without yet to know hooks for monitoring and services
---
slices:
   sliced:
      id: TouristicCDN_sliced
      name: TouristicCDN_sliced
      short-name: TouristicCDN_sliced
      description: Slicing for Elastic Touristic CDN
      vendor: MTC
      version: '1.0'

      # logo of slice for visualization purposes
      logo: elastic-cdn.png
      slice-parts:
         - dc-slice-part:
              name: dc-slice1

              slice-constraints:
                 geographic: UK

              cost:
                 dc-model:
                 model: COST_PER_PHYSICAL_MACHINE_PER_DAY
                 value-euros: 9

              dc-slice-controller:
                 dc-slice-provider: Amazon
                 ip: 1xx.xxx.xxx.1
                 port: 3000
                 # Rest of message from Slice resource orchestrator.

         - dc-slice-part:
              name: dc-slice2

              slice-constraints:
              geographic: Spain

              slice-requirements:
                 elasticity: true
                 reliability:
                    description: reliability level
                    enabled: true
                    # {path-backup, logical-backup, physical-backup}
                    value: none

              slice-lifecycle:
                 description: lifecycle status
                 status: constuction  # {modification, activation, deletion}

              cost:
                 dc-model:
                    model: COST_PER_PHYSICAL_MACHINE_PER_DAY
                    value-euros: 8

              slice-timeframe:
                 service-start-time: {100918: 10 pm}
                 service-stop-time: {101018: 10 pm}

              dc-slice-controller:
                 dc-slice-provider: IBM
                 ip: 2xx.xxx.xxx.1
                 port: 5000

              host-count-in-dc:
                 group-ip: definded
                 # [hosts1:195.xxx.xxx.1,host2:164.xxx.xxx.xxx,.....,]

              vdus:

                 # defining web server cluster VDU
                 - dc-vdu:
                      id: web_server_VM
                      epa-attributes:
                         host-epa:
                            cpu-model: CORE2DUO
                            cpu-arch: X86_64
                            cpu-vendor: INTEL
                            cpu-number: 2
                            storage-gb: 3
                            memory-mb: 4096
                            host-count: 5
                            max-host-count: {equal: 8}
                            # host Operating System image properties
                            os-properties:
                               architecture: x86_64
                               type: linux
                               distribution: ubuntu
                               version: 16.04
                            image-type: EMULAB
                            host-image: ubuntu_linux_16.04_xen

                         VIM-epa:
                            vim-ref: cdn-xen-vim

                      service-end-point:
                         name: external-to-wsc
                         type: INGRESS
                         link-end: wsc-eth0
                         # ip: undefined
                         application:
                            - app-name: 'niceApp'
                              port: 80
                              protocol: TCP
                         requirements:
                            bandwidth-GB: 1

              vim:
                 name: cdn-xen-vim
                 type: XEN-SERVER
                 on-demand: true
                 host-count: 5
                 max-host-count: 8
                 image: 'ubuntu_linux_16.04_xen_server'
                 hypervisor:
                    type: XEN
                    version: '4.5'
                 vswitch:
                    type: openvswitch
                    accelaration: true
                    offload: false

              dc-slice-point-of-presence:
                 pop-name: IBM-defined
                 ip: 1xx.xxx.xxx.1
                 router-type: Wired Router-cisco
                 reservation-protocol: BGP
                 requirements:
                    bandwidth: 1 GB

         - net-slice-part:
              name: net-slice1

              slice-constraints:
                 geographic: EUROPE

              slice-requirements:
                 elasticity: true
                 reliability:
                    description: reliability level
                    enabled: true
                    # {path-backup, logical-backup, physical-backup}
                    value: none

              slice-lifecycle:
                 description: lifecycle status
                 status: constuction  # {modification, activation, deletion}

              cost:
                 net-model:
                    model: COST_PER_LINK_PER_DAY
                    value-euros: 45

              slice-timeframe:
                 service-start-time: {100918: 10 pm}
                 service-stop-time: {101018: 10 pm}

              wan-slice-controller:
                 wan-slice-provider: telefonica
                 ip: 195.xxx.xxx.1
                 port: xxx

              WIM: defined

              links:
                 - dc-part1:
                      name: dc-slice1
                      dc-slice-point-of-presence:
                         pop-name: Amazon-defined
                         ip: 19x.xxx.xxx.xx1
                         router-type: Wired Router-cisco
                         reservation-protocol: BGP

                 - dc-part2:
                      name: dc-slice2
                      dc-slice-point-of-presence:
                         pop-name: IBM-defined
                         ip: 19x.xxx.xxx.xx1
                         router-type: Wired Router-cisco
                         reservation-protocol: BGP

              type: interaction
              constraints:
                 bandwidth: 1 GB

         - net-slice-part:
              name: net-slice2

              # Rest of message from Slice resource rochestrator.

      slice: defined
